Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Ошибка при обновлении пакетов  (Прочитано 10583 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Selean

  • Автор темы
  • Любитель
  • *
  • Сообщений: 52
    • Просмотр профиля
Не могу поставить обновления.
Сообщение об ошибке: неразрешенные зависимости.

selean@ubuntik:~$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  kde-l10n-ru language-pack-kde-en language-pack-kde-ru language-pack-kde-en-base kde-l10n-engb language-pack-kde-ru-base
Для их удаления используйте «apt-get autoremove».
Будут установлены следующие дополнительные пакеты:
  fonts-horai-umefont
НОВЫЕ пакеты, которые будут установлены:
  fonts-horai-umefont
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 80 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/45,4 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 89,4 MB.
Хотите продолжить [Д/н]? д
E: Internal Error, No file name for libssl1.0.0
selean@ubuntik:~$
Выдает ошибку. Как ее исправить?  :-[
Skype: andrey-seleznjov

За цифрой будущее...

Оффлайн herored

  • Участник
  • *
  • Сообщений: 111
    • Просмотр профиля
    • jar-par.com
Re: Ошибка при обновлении пакетов
« Ответ #1 : 25 Мая 2012, 12:34:18 »
такая же фигня - чо делать то?

ееепс?

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4154
  • Gentoo x64 bspwm
    • Просмотр профиля
Re: Ошибка при обновлении пакетов
« Ответ #2 : 25 Мая 2012, 12:36:47 »
wget http://launchpadlibrarian.net/102991621/libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb
sudo dpkg -i libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb
потом
sudo apt-get update
sudo apt-get -f upgrade
господь ведет твою руку, сын мой....

Оффлайн herored

  • Участник
  • *
  • Сообщений: 111
    • Просмотр профиля
    • jar-par.com
Re: Ошибка при обновлении пакетов
« Ответ #3 : 25 Мая 2012, 12:52:34 »
ne pomogaet

t@t-901:~$ sudo apt-get upgrade
[sudo] password for t:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакеты, которые будут обновлены:
  at-spi2-core gir1.2-atspi-2.0 libatspi2.0-0 libnautilus-extension1a nautilus
  nautilus-data openssl python-gi python-gi-cairo python-gobject
  software-center xserver-common xserver-xorg-core
  xserver-xorg-input-synaptics
обновлено 14, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 0 B/4 220 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 58,4 kB.
Хотите продолжить [Д/н]? y
E: Internal Error, No file name for libssl1.0.0
t@t-901:~$ wget http://launchpadlibrarian.net/102991621/libssl1.0.0 1.0.0e-2ubuntu4.5 i386.deb
--2012-05-25 12:41:19--  http://launchpadlibrarian.net/102991621/libssl1.0.0
Преобразование адреса launchpadlibrarian.net (launchpadlibrarian.net)... 91.189.89.229, 91.189.89.228
Подключение к launchpadlibrarian.net (launchpadlibrarian.net)|91.189.89.229|:80... соединились.
Запрос HTTP послан, ожидание ответа... 404 Not Found
2012-05-25 12:41:19 ОШИБКА 404: Not Found.

--2012-05-25 12:41:19--  http://1.0.0e-2ubuntu4.5/
Преобразование адреса 1.0.0e-2ubuntu4.5 (1.0.0e-2ubuntu4.5)... ошибка: Имя или служба не известны.
wget: не удаётся разрешить адрес «1.0.0e-2ubuntu4.5»
--2012-05-25 12:41:19--  http://i386.deb/
Преобразование адреса i386.deb (i386.deb)... ошибка: Имя или служба не известны.
wget: не удаётся разрешить адрес «i386.deb»
t@t-901:~$ wget http://launchpadlibrarian.net/102991621/libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb
--2012-05-25 12:45:38--  http://launchpadlibrarian.net/102991621/libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb
Преобразование адреса launchpadlibrarian.net (launchpadlibrarian.net)... 91.189.89.229, 91.189.89.228
Подключение к launchpadlibrarian.net (launchpadlibrarian.net)|91.189.89.229|:80... соединились.
Запрос HTTP послан, ожидание ответа... 200 OK
Длина: 971920 (949K) [application/x-debian-package]
Сохранение в каталог: ««libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb»».

100%[======================================>] 971 920      778K/s   за 1,2s   

2012-05-25 12:45:39 (778 KB/s) - «libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb» сохранен [971920/971920]

t@t-901:~$ sudo dpkg -i libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb
[sudo] password for t:
dpkg: предупреждение: снижение версии libssl1.0.0 с 1.0.1-4ubuntu5.2 до 1.0.0e-2ubuntu4.5.
(Чтение базы данных ... на данный момент установлено 174763 файла и каталога.)
Подготовка к замене пакета libssl1.0.0 1.0.1-4ubuntu5.2 (используется файл libssl1.0.0_1.0.0e-2ubuntu4.5_i386.deb) ...
Распаковывается замена для пакета libssl1.0.0 ...
Настраивается пакет libssl1.0.0 (1.0.0e-2ubuntu4.5) ...
dpkg: не удалось обработать параметр libssl1.0.0 (--install):
 подпроцесс установлен сценарий post-installation был завершён по сигналу (Ошибка сегментирования), создан файл core
При обработке следующих пакетов произошли ошибки:
 libssl1.0.0
t@t-901:~$ sudo apt-get update
Игн http://archive.ubuntu.com precise InRelease
Игн http://archive.ubuntu.com precise-updates InRelease
Игн http://extras.ubuntu.com precise InRelease
Игн http://archive.ubuntu.com precise-backports InRelease
Игн http://archive.ubuntu.com precise-security InRelease
Получено:1 http://archive.ubuntu.com precise Release.gpg [198 B]
В кэше http://extras.ubuntu.com precise Release.gpg                         
Получено:2 http://archive.ubuntu.com precise-updates Release.gpg [198 B]
Получено:3 http://archive.ubuntu.com precise-backports Release.gpg [198 B]     
В кэше http://extras.ubuntu.com precise Release                               
Получено:4 http://archive.ubuntu.com precise-security Release.gpg [198 B]
Получено:5 http://archive.ubuntu.com precise Release [49,6 kB]   
В кэше http://extras.ubuntu.com precise/main Sources                       
В кэше http://extras.ubuntu.com precise/main i386 Packages                 
Игн http://extras.ubuntu.com precise/main TranslationIndex
Получено:6 http://archive.ubuntu.com precise-updates Release [49,6 kB]
Получено:7 http://archive.ubuntu.com precise-backports Release [49,6 kB]       
Получено:8 http://archive.ubuntu.com precise-security Release [49,6 kB]       
Получено:9 http://archive.ubuntu.com precise/main Sources [934 kB]             
Игн http://extras.ubuntu.com precise/main Translation-ru_RU             
Игн http://extras.ubuntu.com precise/main Translation-ru                 
Игн http://extras.ubuntu.com precise/main Translation-en
Получено:10 http://archive.ubuntu.com precise/restricted Sources [5 470 B]
Получено:11 http://archive.ubuntu.com precise/universe Sources [5 019 kB]
Получено:12 http://archive.ubuntu.com precise/multiverse Sources [155 kB]
Получено:13 http://archive.ubuntu.com precise/main i386 Packages [1 274 kB]
Получено:14 http://archive.ubuntu.com precise/restricted i386 Packages [8 431 B]
Получено:15 http://archive.ubuntu.com precise/universe i386 Packages [4 796 kB]
Получено:16 http://archive.ubuntu.com precise/multiverse i386 Packages [121 kB]
В кэше http://archive.ubuntu.com precise/main TranslationIndex                 
В кэше http://archive.ubuntu.com precise/multiverse TranslationIndex           
В кэше http://archive.ubuntu.com precise/restricted TranslationIndex
В кэше http://archive.ubuntu.com precise/universe TranslationIndex 
Получено:17 http://archive.ubuntu.com precise-updates/main Sources [45,5 kB]
Получено:18 http://archive.ubuntu.com precise-updates/restricted Sources [1 379 B]
Получено:19 http://archive.ubuntu.com precise-updates/universe Sources [13,4 kB]
Получено:20 http://archive.ubuntu.com precise-updates/multiverse Sources [696 B]
Получено:21 http://archive.ubuntu.com precise-updates/main i386 Packages [118 kB]
Получено:22 http://archive.ubuntu.com precise-updates/restricted i386 Packages [2 439 B]
Получено:23 http://archive.ubuntu.com precise-updates/universe i386 Packages [36,0 kB]
Получено:24 http://archive.ubuntu.com precise-updates/multiverse i386 Packages [1 393 B]
В кэше http://archive.ubuntu.com precise-updates/main TranslationIndex         
В кэше http://archive.ubuntu.com precise-updates/multiverse TranslationIndex
В кэше http://archive.ubuntu.com precise-updates/restricted TranslationIndex
В кэше http://archive.ubuntu.com precise-updates/universe TranslationIndex
Получено:25 http://archive.ubuntu.com precise-backports/main Sources [700 B]
Получено:26 http://archive.ubuntu.com precise-backports/restricted Sources [14 B]
Получено:27 http://archive.ubuntu.com precise-backports/universe Sources [3 096 B]
Получено:28 http://archive.ubuntu.com precise-backports/multiverse Sources [14 B]
Получено:29 http://archive.ubuntu.com precise-backports/main i386 Packages [559 B]
Получено:30 http://archive.ubuntu.com precise-backports/restricted i386 Packages [14 B]
Получено:31 http://archive.ubuntu.com precise-backports/universe i386 Packages [2 653 B]
Получено:32 http://archive.ubuntu.com precise-backports/multiverse i386 Packages [14 B]
В кэше http://archive.ubuntu.com precise-backports/main TranslationIndex
В кэше http://archive.ubuntu.com precise-backports/multiverse TranslationIndex
В кэше http://archive.ubuntu.com precise-backports/restricted TranslationIndex
В кэше http://archive.ubuntu.com precise-backports/universe TranslationIndex
Получено:33 http://archive.ubuntu.com precise-security/main Sources [12,6 kB]
Получено:34 http://archive.ubuntu.com precise-security/restricted Sources [14 B]
Получено:35 http://archive.ubuntu.com precise-security/universe Sources [4 522 B]
Получено:36 http://archive.ubuntu.com precise-security/multiverse Sources [696 B]
Получено:37 http://archive.ubuntu.com precise-security/main i386 Packages [43,9 kB]
Получено:38 http://archive.ubuntu.com precise-security/restricted i386 Packages [14 B]
Получено:39 http://archive.ubuntu.com precise-security/universe i386 Packages [10,3 kB]
Получено:40 http://archive.ubuntu.com precise-security/multiverse i386 Packages [1 393 B]
В кэше http://archive.ubuntu.com precise-security/main TranslationIndex       
В кэше http://archive.ubuntu.com precise-security/multiverse TranslationIndex
В кэше http://archive.ubuntu.com precise-security/restricted TranslationIndex
В кэше http://archive.ubuntu.com precise-security/universe TranslationIndex
В кэше http://archive.ubuntu.com precise/main Translation-ru       
В кэше http://archive.ubuntu.com precise/main Translation-en       
В кэше http://archive.ubuntu.com precise/multiverse Translation-ru             
В кэше http://archive.ubuntu.com precise/multiverse Translation-en             
В кэше http://archive.ubuntu.com precise/restricted Translation-ru             
В кэше http://archive.ubuntu.com precise/restricted Translation-en 
В кэше http://archive.ubuntu.com precise/universe Translation-ru   
В кэше http://archive.ubuntu.com precise/universe Translation-en   
В кэше http://archive.ubuntu.com precise-updates/main Translation-en
В кэше http://archive.ubuntu.com precise-updates/multiverse Translation-en     
В кэше http://archive.ubuntu.com precise-updates/restricted Translation-en     
В кэше http://archive.ubuntu.com precise-updates/universe Translation-en
В кэше http://archive.ubuntu.com precise-backports/main Translation-en
В кэше http://archive.ubuntu.com precise-backports/multiverse Translation-en
В кэше http://archive.ubuntu.com precise-backports/restricted Translation-en
В кэше http://archive.ubuntu.com precise-backports/universe Translation-en
В кэше http://archive.ubuntu.com precise-security/main Translation-en
В кэше http://archive.ubuntu.com precise-security/multiverse Translation-en
В кэше http://archive.ubuntu.com precise-security/restricted Translation-en
В кэше http://archive.ubuntu.com precise-security/universe Translation-en
Получено 12,8 MБ за 28с (446 kБ/c)                                             
Чтение списков пакетов… Готово
t@t-901:~$ sudo apt-get -f upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Пакеты, которые будут обновлены:
  at-spi2-core gir1.2-atspi-2.0 libatspi2.0-0 libnautilus-extension1a
  libssl1.0.0 nautilus nautilus-data openssl python-gi python-gi-cairo
  python-gobject software-center xserver-common xserver-xorg-core
  xserver-xorg-input-synaptics
обновлено 15, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 0 B/5 222 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 81,9 kB.
Хотите продолжить [Д/н]? y
Segmentation fault (core dumped)
(Чтение базы данных ... на данный момент установлено 174765 файлов и каталогов.)
Подготовка к замене пакета libssl1.0.0 1.0.0e-2ubuntu4.5 (используется файл .../libssl1.0.0_1.0.1-4ubuntu5.2_i386.deb) ...
Распаковывается замена для пакета libssl1.0.0 ...
Настраивается пакет libssl1.0.0 (1.0.1-4ubuntu5.2) ...
dpkg: не удалось обработать параметр libssl1.0.0 (--configure):
 подпроцесс установлен сценарий post-installation был завершён по сигналу (Ошибка сегментирования), создан файл core
Отчёты apport не записаны, так достигнут MaxReports
                                                   При обработке следующих пакетов произошли ошибки:
 libssl1.0.0
E: Sub-process /usr/bin/dpkg returned an error code (1)
t@t-901:~$ 

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4154
  • Gentoo x64 bspwm
    • Просмотр профиля
Re: Ошибка при обновлении пакетов
« Ответ #4 : 25 Мая 2012, 12:58:02 »
sudo apt-get remove libssl1.0.0:i386
sudo apt-get update
господь ведет твою руку, сын мой....

Оффлайн herored

  • Участник
  • *
  • Сообщений: 111
    • Просмотр профиля
    • jar-par.com
Re: Ошибка при обновлении пакетов
« Ответ #5 : 25 Мая 2012, 13:09:55 »
 :-\t@t-901:~$ sudo apt-get remove libssl1.0.0:i386
[sudo] password for t:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 ca-certificates : Зависит: openssl (>= 1.0.0) но он не будет установлен
 libatk-wrapper-java : Зависит: default-jre но он не будет установлен или
                                       java2-runtime
 libatk-wrapper-java-jni : Зависит: default-jre но он не будет установлен или
                                           java2-runtime
 openssh-client : Зависит: libssl1.0.0 (>= 1.0.0) но он не будет установлен
 openssh-server : Зависит: libssl1.0.0 (>= 1.0.0) но он не будет установлен
 wget : Зависит: libssl1.0.0 (>= 1.0.0) но он не будет установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.

Пользователь решил продолжить мысль 25 Мая 2012, 13:11:08:
вроде какаято команда есть, которая ошибки удаляет, кпкг и на консе толи -с толи -f
непомню в упор.

Пользователь решил продолжить мысль 25 Мая 2012, 14:11:24:
как жыть то теперь?
« Последнее редактирование: 25 Мая 2012, 14:11:24 от herored »

Оффлайн Сперанский

  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4055
  • Dictum ac factum
    • Просмотр профиля
Re: Ошибка при обновлении пакетов
« Ответ #6 : 25 Мая 2012, 16:54:52 »
Загрузитесь с LiveUSB, настройте подключение к сети, откройте терминал, примонтируйте корень
sudo mkdir /mnt/root
sudo mount /dev/sdXX /mnt/root
сделайте chroot
sudo chroot /mnt/rootпопробуйте обновиться
sudo apt-get update && sudo apt-get upgradeили установить скачанный ранее пакет libssl1, для этого примонтируйте home
sudo mkdir /mnt/home
sudo mount /dev/sdYY /mnt/home
и установите пакет
sudo dpkg -i /mnt/home/t/libssl1.0.0 1.0.0e-2ubuntu4.5 i386.deb и потом опять обновляйтесь sudo apt-get update && sudo apt-get upgrade

Оффлайн herored

  • Участник
  • *
  • Сообщений: 111
    • Просмотр профиля
    • jar-par.com
Re: Ошибка при обновлении пакетов
« Ответ #7 : 25 Мая 2012, 17:15:56 »
в воскресенье вечером попробую и отпишусь

Оффлайн herored

  • Участник
  • *
  • Сообщений: 111
    • Просмотр профиля
    • jar-par.com
Re: Ошибка при обновлении пакетов
« Ответ #8 : 28 Мая 2012, 19:54:27 »
чото никак - снесу и заново поставлю

 

Страница сгенерирована за 0.047 секунд. Запросов: 25.